Skip to main content
PATCH
/
api
/
v1
/
buyers
/
{id}
curl --request PATCH \
  --url https://integrations.polinate.ai/api/v1/buyers/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <x-api-key>' \
  --header 'X-Business-Id: <x-business-id>' \
  --data '
{
  "buyer": {
    "name": "Updated Name Pty Ltd",
    "primaryEmail": "newemail@example.com"
  }
}
'
{
  "id": "<string>",
  "name": "<string>",
  "legalName": "<string>",
  "partnershipId": "<string>",
  "partnershipStatus": "PENDING",
  "itemListId": "<string>",
  "primaryEmail": "<string>",
  "primaryPhone": "<string>",
  "status": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "deletedAt": "<string>",
  "properties": {},
  "buyerInfo": {},
  "emails": [
    {
      "id": "<string>",
      "email": "jsmith@example.com",
      "contactName": "<string>",
      "isPrimary": true,
      "isVerified": true,
      "verifiedAt": "<string>",
      "sequence": 123
    }
  ],
  "phones": [
    {
      "id": "<string>",
      "phone": "<string>",
      "contactName": "<string>",
      "isPrimary": true,
      "isVerified": true,
      "verifiedAt": "<string>",
      "sequence": 123
    }
  ],
  "locations": [
    {
      "id": "<string>",
      "label": "<string>",
      "type": "<string>",
      "status": "<string>",
      "addressLine1": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postcode": "<string>",
      "country": "<string>"
    }
  ]
}

Headers

X-Business-Id
string
required

Business identifier for external auth. Find in Polinate app → Business Settings → Integrations.

Example:

"{{businessId}}"

X-API-Key
string
required

Per-business API key for external auth. Find in Polinate app → Business Settings → Integrations.

Example:

"{{apiKey}}"

Idempotency-Key
string

Idempotency key for POST operations

Example:

"{{idempotencyKey}}"

Path Parameters

id
string
required
Example:

"phm_123"

Body

application/json
buyer
object
partnershipStatus
enum<string>
Available options:
DECLINED,
PENDING,
REVIEW,
ACTIVE,
PAUSED,
SUSPENDED,
EXPIRED,
TERMINATED
createPhones
object[]
updatePhones
object[]
deletePhones
string[]
createEmails
object[]
updateEmails
object[]
deleteEmails
string[]
createLocations
object[]
updateLocations
object[]
deleteLocations
string[]

Response

OK - Returns full updated buyer with all contacts

id
string
required
name
string
required
partnershipId
string
required
partnershipStatus
enum<string>
required
Available options:
PENDING,
ACTIVE,
PAUSED,
TERMINATED,
DECLINED,
EXPIRED
itemListId
string | null
required
primaryEmail
string | null
primaryPhone
string | null
status
string
createdAt
string
updatedAt
string
deletedAt
string | null
properties
object
buyerInfo
object
emails
object[]
phones
object[]
locations
object[]